With Gutsy - Nikon cameras need support in unusual_devs.h

Bug #134477 reported by Timo Aaltonen on 2007-08-24
50
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Launchpad itself
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
linux-source-2.6.22 (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: linux-source-2.6.22

After some kernel update on gutsy, I can't plug my camera anymore, since the kernel claims the filesystem on the disk contains errors. This used to work with 2.6.22-8 IIRC, but not -9. Feisty is fine too, where this dmesg log is from:

[180830.569069] scsi 11:0:0:0: Direct-Access NIKON D40 1.00 PQ: 0 ANSI: 2
[180830.571109] SCSI device sdg: 1984001 512-byte hdwr sectors (1016 MB)
[180830.571607] sdg: Write Protect is off
[180830.571610] sdg: Mode Sense: 0f 00 00 00
[180830.571614] sdg: assuming drive cache: write through
[180830.573230] SCSI device sdg: 1984001 512-byte hdwr sectors (1016 MB)
[180830.573729] sdg: Write Protect is off
[180830.573732] sdg: Mode Sense: 0f 00 00 00
[180830.573735] sdg: assuming drive cache: write through
[180830.573737] sdg: sdg1
[180830.576435] sd 11:0:0:0: Attached scsi removable disk sdg
[180830.576476] sd 11:0:0:0: Attached scsi generic sg7 type 0

I'll try -10 later today.

CVE References

Timo Aaltonen (tjaalton) wrote :

Same with -10, and on another computer with gutsy:

[113336.552000] scsi 4:0:0:0: Direct-Access NIKON D40 1.00 PQ: 0 ANSI: 2
[113336.556000] sd 4:0:0:0: [sdb] 1984001 512-byte hardware sectors (1016 MB)
[113336.560000] sd 4:0:0:0: [sdb] Write Protect is off
[113336.560000] sd 4:0:0:0: [sdb] Mode Sense: 0f 00 00 00
[113336.560000] sd 4:0:0:0: [sdb] Assuming drive cache: write through
[113336.568000] sd 4:0:0:0: [sdb] 1984001 512-byte hardware sectors (1016 MB)
[113336.572000] sd 4:0:0:0: [sdb] Write Protect is off
[113336.572000] sd 4:0:0:0: [sdb] Mode Sense: 0f 00 00 00
[113336.572000] sd 4:0:0:0: [sdb] Assuming drive cache: write through
[113336.572000] sdb: sdb1
[113336.580000] sd 4:0:0:0: [sdb] Attached SCSI removable disk
[113336.580000] sd 4:0:0:0: Attached scsi generic sg2 type 0
[113336.820000] end_request: I/O error, dev sdb, sector 1984000
[113336.820000] Buffer I/O error on device sdb, logical block 1984000
[113336.828000] end_request: I/O error, dev sdb, sector 1984000
[113336.828000] Buffer I/O error on device sdb, logical block 1984000
[113336.840000] end_request: I/O error, dev sdb, sector 1983992
[113336.840000] Buffer I/O error on device sdb, logical block 1983992
[113336.848000] end_request: I/O error, dev sdb, sector 1983993
[113336.848000] Buffer I/O error on device sdb, logical block 1983993
.
.
So, either the card is corrupt somehow, or there is a bug somewhere? I tried with the kernel from feisty, but it had the same issue. I can't re-format the card on gutsy, so I'm stuck.

Timo Aaltonen (tjaalton) wrote :

I've repartitioned/reformatted the card on feisty, where it continues to work ok, but on gutsy I still have I/O-errors on dmesg...

What information do you need?

Timo Aaltonen (tjaalton) wrote :

Still the same with -11.

Changed in linux-source-2.6.22:
importance: Undecided → Medium
Timo Aaltonen (tjaalton) wrote :
Timo Aaltonen (tjaalton) wrote :
Timo Aaltonen (tjaalton) wrote :

luthien 10:31 /tmp 13 % uname -a
Linux luthien 2.6.22-11-generic #1 SMP Fri Sep 7 05:07:05 GMT 2007 i686 GNU/Linux

luthien 10:26 /tmp 12 % cat /proc/version_signature
Ubuntu 2.6.22-11.32-generic

Henrik Nilsen Omma (henrik) wrote :

Thanks for reporting.

Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team
importance: Medium → High
status: New → Confirmed
Timo Aaltonen (tjaalton) wrote :

Ok, debugged a bit further:

-bought a new SD card (Sandisk ExtremeIII) and tested that with gutsy -> same errors as before
-with feisty live-cd the old&new cards both work
-gutsy daily live-cd is broken, so I can't test that properly (modprobe fails, so plugging any usb-device results in modprobe hanging for some reason)

so, no idea where the bug is..

Jonathan Crockett (jcrockett) wrote :

I believe the problem is in the way the Nikon cameras report the mass storage size. I have the same problem with my Nikon D200 using latest Gutsy 2.6.22-12 kernel. An entry for the camera needs to go into the unusual_devs.h kernel file to tell the usb driver to handle this. Ubuntu 2.6.22-12 only has D70, D70s, D80 (of the D series). I see in the vanilla kernel 2.6.23-rc8 that the D100, D50, and D40 have been added. A patch for the D200 has been submitted to linux-usb-devel, but I don't see it in a kernel yet.

-Jonathan

Timo Aaltonen (tjaalton) wrote :

Jonathan: that's interesting.. I do recall being able to mount the media when I first updated to gutsy.. and besides, not even using the feisty kernel works now, so I'm puzzled.

Anyway, I'll try patching the kernel to see if that really helps!

Download full text (3.3 KiB)

On Fri, Sep 28, 2007 at 08:48:18PM -0000, Timo Aaltonen wrote:
> From: Timo Aaltonen <email address hidden>
> Subject: [Bug 134477] Re: reports corrupt filesystem on flash-media,
> fine on feisty
> To: <email address hidden>
> Reply-To: Bug 134477 <email address hidden>
> Date: Fri, 28 Sep 2007 20:48:18 -0000
>
> Jonathan: that's interesting.. I do recall being able to mount the media
> when I first updated to gutsy.. and besides, not even using the feisty
> kernel works now, so I'm puzzled.
>
> Anyway, I'll try patching the kernel to see if that really helps!
>

I think it was likely a change in the USB driver code that exposed the
limitation, which is why it might have worked before, but that's just
a guess.

I just finished patching Gutsy 2.6.12-12 adding in the missing
entries for D100, D40, D50, and D200. I booted the new kernel and now
my D200 now works perfectly whereas before I got the io errors...

kernel: [ 2567.684000] scsi 8:0:0:0: Direct-Access NIKON D200 1.00 PQ: 0 ANSI: 2
kernel: [ 2567.684000] sd 8:0:0:0: [sdb] 4001761 512-byte hardware sectors (2049 MB)
kernel: [ 2567.684000] sd 8:0:0:0: [sdb] Write Protect is off
kernel: [ 2567.688000] sd 8:0:0:0: [sdb] 4001761 512-byte hardware sectors (2049 MB)
kernel: [ 2567.688000] sd 8:0:0:0: [sdb] Write Protect is off
kernel: [ 2567.688000] sdb: sdb1
kernel: [ 2567.688000] sd 8:0:0:0: [sdb] Attached SCSI removable disk
kernel: [ 2567.692000] sd 8:0:0:0: Attached scsi generic sg2 type 0
kernel: [ 2567.816000] end_request: I/O error, dev sdb, sector 4001760
kernel: [ 2567.816000] printk: 613 messages suppressed.
kernel: [ 2567.816000] end_request: I/O error, dev sdb, sector 4001760
kernel: [ 2567.820000] end_request: I/O error, dev sdb, sector 4001760
kernel: [ 2567.824000] end_request: I/O error, dev sdb, sector 4001760
kernel: [ 2567.824000] end_request: I/O error, dev sdb, sector 4001760
kernel: [ 2567.836000] end_request: I/O error, dev sdb, sector 4001760
kernel: [ 2567.836000] end_request: I/O error, dev sdb, sector 4001760
kernel: [ 2567.840000] end_request: I/O error, dev sdb, sector 40
kernel: [ 2567.840000] end_request: I/O error, dev sdb, sector 41
kernel: [ 2567.840000] end_request: I/O error, dev sdb, sector 40
kernel: [ 2567.844000] end_request: I/O error, dev sdb, sector 41
kernel: [ 2567.844000] end_request: I/O error, dev sdb, sector 40

now with the patch:

kernel: [ 162.604000] scsi 6:0:0:0: Direct-Access NIKON D200 2.00 PQ: 0 ANSI:
2
kernel: [ 162.604000] sd 6:0:0:0: [sdb] 4001760 512-byte hardware sectors (2049 MB)
kernel: [ 162.604000] sd 6:0:0:0: [sdb] Write Protect is off
kernel: [ 162.608000] sd 6:0:0:0: [sdb] 4001760 512-byte hardware sectors (2049 MB)
kernel: [ 162.608000] sd 6:0:0:0: [sdb] Write Protect is off
kernel: [ 162.608000] sdb: sdb1
kernel: [ 162.612000] sd 6:0:0:0: [sdb] Attached SCSI removable disk
kernel: [ 162.612000] sd 6:0:0:0: Attached scsi generic sg2 type 0

-Jonathan

--------------------------------------------------------------------------------
                               Jonathan Crockett
      | | Software Developer
     :|: :|:
    :|||: :|||: Acce...

Read more...

Timo Aaltonen (tjaalton) wrote :

Ok, here is a patch with upstream changes to Nikon cameras:

D40:
9374b9fd6cef7f8b75a543d044c5b0925aae08cd

D50:
4f47bb567368f732989058e26dc282f7fe931dab

D100:
d8fbba2f59c0c131a1babf5a66f003faee02e01a

update to D80 (support for new firmware):
83fc8a151beda2d63e196a7ab2e12316c37a1e91

D200 support has not been merged yet (at least not in 2.6.23-rc9), but included here.

Gutsy commit 1861cba4ed52e9aea617e980a033a840c3e15b90

Changed in linux-source-2.6.22:
assignee: ubuntu-kernel-team → timg-tpi
importance: High → Medium
status: Triaged → Fix Committed
Kyle McMartin (kyle) wrote :
Download full text (5.9 KiB)

linux-source-2.6.22 (2.6.22-13.40) gutsy; urgency=low

  [Amit Kucheria]

  * Enable CONFIG_VM86 for LPIA
    - LP: #146311
  * Update configuration files
  * Disable MSI by default
  * Add mmconf documentation
  * Update configuration files

  [Bartlomiej Zolnierkiewicz]

  * ide-disk: workaround for buggy HPA support on ST340823A (take 3)
    - LP: #26119

  [Ben Collins]

  * ubuntu/cell: Fixup ps3 related modules for d-i, enable RTAS console
  * ubuntu/cell: Enable CELLEB and related modules (pata_scc)
  * ubuntu/cell: Move ps3rom to storage-core. Also use spidernet, not
    spider_net.
  * ubuntu/cell: Set PS3_MANAGER=y
  * ubuntu: Set NR_CPUS=256 for sparc64-smp

  [Chuck Short]

  * [USB] USB] Support for MediaTek MT6227 in cdc-acm.
    - LP: #134123
  * [XEN] Fix xen vif create with more than 14 guests.
    - LP: #14486

  [Jorge Juan Chico]

  * ide: ST320413A has the same problem as ST340823A
    - LP: #26119

  [Kyle McMartin]

  * fix -rt build
  * fix ia32entry-xen.S for CVE-2007-4573
  * fix build when CONFIG_PCI_MSI is not set

  [Matthew Garrett]

  * hostap: send events on data interface as well as master interface
    - LP: #57146
  * A malformed _GTF object should not prevent ATA device recovery
    - LP: #139079
  * hostap: send events on data interface as well as master interface
    - LP: #57146
  * A malformed _GTF object should not prevent ATA device recovery
    - LP: #139079
  * Don't lose appletouch button release events
  * Fix build with appletouch change
  * Disable Thinkpad backlight support on machines with ACPI video
    - LP: #148055
  * Don't attempt to register a callback if there is no CMOS object
    - LP: #145857
  * Update ACPI bay hotswap code to support locking
    - LP: #148219
  * Update ACPI bay hotswap code to support locking
    - LP: #148219
  * Don't attempt to register a callback if there is no CMOS object
    - LP: #145857
  * Disable Thinkpad backlight support on machines with ACPI video
    - LP: #148055

  [Steffen Klassert]

  * 3c59x: fix duplex configuration
    - LP: #94186

  [Thomas Gleixner]

  * clockevents: remove the suspend/resume workaround^Wthinko

  [Tim Gardner]

  * orinoco_cs.ko missing
    - LP: #125832
  * Marvell Technology ethernet card not recognized and not operational
    - LP: #135316
  * Marvell Technology ethernet card not recognized and not operational
    - LP: #135316
  * acpi_scan_rsdp() breaks some PCs by not honouring ACPI specification
    - LP: #144336
  * VIA southbridge Intel id missing
    - LP: #128289
  * Add T-Sinus 111card to hostap_cs driver to be able to upload firmware
    - LP: #132466
  * RTL8111 PCI Express Gigabit driver r8169 big files produce slow file
    transfer
    - LP: #114171
  * Guest OS does not recognize a lun with non zero target id on Vmware ESX
    Server
    - LP: #140761
  * Modualrize vesafb
    - LP: #139505
  * Nikon cameras need support in unusual_devs.h
    - LP: #134477
  * agp for i830m broken in gutsy
    - LP: #139767
  * hdaps: Added support for Thinkpad T61
    - LP: #147383
  * xen: Update config for i386
    - LP: #139047
  * xen: resync for amd64
    - LP: #139047
  * ide-disk: workaround for buggy HPA support ...

Read more...

Changed in linux-source-2.6.22:
status: Fix Committed → Fix Released
Tim Gardner (timg-tpi) on 2007-10-05
Changed in linux-source-2.6.22:
assignee: timg-tpi → nobody
Steve Waller (qprfact) wrote :

Sorry - Linux newbie here! How do I apply the patch? I thought it was patch -p1 < unusual_devs.patch but that just comes up with:

missing header for unified diff at line 3 of patch
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- unusual_devs.h.orig 2007-10-02 18:11:01.000000000 +0300
|+++ unusual_devs.h 2007-10-02 18:21:50.000000000 +0300
--------------------------
File to patch:

Which file am I patching?

Thanks

Timo Aaltonen (tjaalton) wrote :

Steve: no need to patch anything if you are running ubuntu 7.10.

Hi Timo, I am running 7.10, but the camera is still not recognised - is
there an update I should get?

Thanks

Steve

On 25/10/2007, Timo Aaltonen <email address hidden> wrote:
>
> Steve: no need to patch anything if you are running ubuntu 7.10.
>
> --
> Nikon cameras need support in unusual_devs.h
> https://bugs.launchpad.net/bugs/134477
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Steve: what camera do you have? Note that the firmware version needs to match, an with D40 it has to be 1.10 (D80 1.01).

Hi Timo, I have the D40, so what do I need to do?

Steve

On 25/10/2007, Timo Aaltonen <email address hidden> wrote:
>
> Steve: what camera do you have? Note that the firmware version needs to
> match, an with D40 it has to be 1.10 (D80 1.01).
>
> --
> Nikon cameras need support in unusual_devs.h
> https://bugs.launchpad.net/bugs/134477
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Timo Aaltonen (tjaalton) wrote :

On Thu, 25 Oct 2007, Steve Waller wrote:

> Hi Timo, I have the D40, so what do I need to do?

Update the firmware.

You can download the firmware here: ftp://iRyvtOVn:<email address hidden>/Firmware/pZWmEhAtIR/D40v110.exe
It is also quite easy to find it on the Nikon's homepage under <Customer Services> in the horizontal menu.
As usual there are only Windows and Macintosh versions or rather ways to upgrade the firmware in the D40, but...

You can simply follow the instructions for Windows, the only difference is that you will need to use wine to unpack the selfextracting archive (D40v110.exe) with the firmware.
Of course you will probably also need some live cd with one of the older versions of K/Ubuntu e.g. Feisty.
That's because it's not possible to read from/write to your camera under Gutsy yet.

Hi,
I seem to have the same problem with Nikon D40x camera, but unlike D40 there doesn't seem to be any firmware fixes.
Anyone have any ideas what to do with a D40x?

Thanks

Timo Aaltonen (tjaalton) wrote :

Vital: Correct, the patch is simple, and unfortunately I didn't find it when looking for the others. I'll reopen this bug and let the kernel guys to decide if it'll be added for 7.10

The patch is in 2.6.23, and it can be found from the Gentoo bugzilla:

http://bugs.gentoo.org/show_bug.cgi?id=191431#c14

Changed in linux-source-2.6.22:
status: Fix Released → Triaged
Wouter Horré (wouterh) wrote :

I also have a Nikon D40x and I can confirm that is not working on gutsy final.

$ uname -a
Linux abel 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux

nelsonrp (nelson-webstudio) wrote :

I found this a little late, but I have the same problem with an older Nikon camera. I have a 4 years old Coolpix 775 that was working ok, and now gutsy can't mount it.

$ uname -a
Linux gandalf 2.6.20-16-generic #2 SMP Sun Sep 23 19:50:39 UTC 2007 i686 GNU/Linux

tomaszko (kossut) wrote :

Dear Collegues,

I have the same problem with my Nikon d40x, I'm using 7.10 (uname -r 2.6.22-14-generic)

What to do?

Regards,

tom

Wouter Horré (wouterh) wrote :

You'll have to wait until an ubuntu developer applies the following patch to the ubuntu kernel:
http://bugs.gentoo.org/attachment.cgi?id=133142&action=view

Or, if you are an experienced user, you could try to apply it yourself.

tomaszko (kossut) wrote :

Thank you for your quick replay,
:) one of the reasons I moved from Mandriva to Ubuntu was the fact I do not have time to compile kernel , programs etc. I have the SD card reader - which is working fine so I'll wait.

P.S. In my opinion there are lot's of bugs in 7.10 comparing to 7.04. I encountered myself some of them
My sound card CMI - recording only one channel.. (works perfect since 5.10..till 7.04)
Nikon D40x - no mount...
hp3845 - weird setup after upgrade (no IPP sharing)

 laptop at work Dell d830

no sund corrupted snd-hda-intel module....
bluetooth - no hci...

Maybe there is some guy from Microsoft which screw up the kernel code? :)

Regards,

Tom

tomaszko (kossut) wrote :

Dear All,

Does anybody knows when this bug will patched?

Regards,

Tom

tomaszko (kossut) wrote :

it's critical, I saw there is kernel update on ubuntu but it contains no patch for above problem !

regards,

tom

Brian Murray (brian-murray) wrote :

I am assigning this bug to the 'ubuntu-kernel-team' per their bug policy. For future reference you can learn more about their bug policy at https://wiki.ubuntu.com/KernelTeamBugPolicies .

Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team
milestone: ubuntu-7.10-rc → none
tomaszko (kossut) wrote :

Dear Brian,

I really appreciate your help, many thanks for suggestions

I Wish you a Merry Christmas and a Happy new Year ! :)

Tom

Hi All,

I just looked in the Hardy kernel and the patch for the D40x looks to be included. If you'd like to try the Hardy Alpha release you can download and try the new Hardy Heron Alpha release from http://cdimage.ubuntu.com/releases/hardy/ . Please note that Alpha3 will be released within the next day or two so you may want to wait. You should be able to then test the new kernel via the LiveCD. If you can, please verify if this bug is fixed for the newer rlease. General information regarding the release can also be found here: http://www.ubuntu.com/testing/ . Thanks!

Changed in linux:
status: New → Incomplete

Against linux-source-2.6.22 this bug does not meet the criteria for a stable release update and is being marked as Won't Fix. You can learn more about the stable release update process at https://wiki.ubuntu.com/StableReleaseUpdates . Thanks!

Changed in linux-source-2.6.22:
status: Triaged → Won't Fix
tomaszko (kossut) wrote :

Thank's for info.

Welll, I'll try Hardy ASAP.

It's really strange for me that such bugs are treated in this way.

Regards,

tomasz

tomaszko (kossut) wrote :

i did upgrade to hardy heron and problem is fixed
kernel 2.6.24-4-generic

Changed in linux-source-2.6.22:
assignee: ubuntu-kernel-team → kossut
status: Won't Fix → Fix Released

Fixing the bug task status. This bug is actually 'Fix Released' against the Hardy kernel, the 'linux' package. Against Gutsy, the linux-source-2.6.22 package, it will be marked 'Won't Fix' as it does not qualify for a stable release update. Thanks.

Changed in linux-source-2.6.22:
assignee: kossut → nobody
status: Fix Released → Won't Fix
Changed in linux:
status: Incomplete → Fix Released
kronemeyer (kronemeyerde) wrote :

And it goes on. With the latest Firmware from Nikon (D40, 1.11), J USB Mass-storage is not working again in 7.10 and 8.04. Same error as the Original-OP. With Ubuntu 7.10, PTP-Transfer was working but with 8.04, the PTP-Transfer did not work anymore. The Kernel recognice the Device:
 Apr 26 15:49:27 meier-laptop kernel: [ 2350.370689] usb 3-1: new high speed USB device using ehci_hcd and address 4
Apr 26 15:49:27 meier-laptop kernel: [ 2350.503833] usb 3-1: configuration #1 chosen from 1 choice

but F-Spot did see two USB-Devices:
Nikon DSC D40 (PTP mode) usb:
Nikon DSC D40 (PTP mode) usb:003,007

None of this two Devices did work. Error: Can't connect camera, unknown error.

DrPhuzzichtkeit (wilhelmsen) wrote :

I seem to have the same problem on Heron (2.6.24-16-generic) and a Nikon D80. I suspect the problem to be the SD Extreme III card that is used. I was not able to mount the card in two different card readers...

got a coolpix2000

I've got this camera since 2003 now. It always worked on any distribution. So why does it not work with 7.10 anymore.

Couldn't you take a little more care not to break things?

this is the third time in a half of an year that things that worked for years suddenly do not work anymore.

never experienced this problems on suse, redhat, knoppix

I'm kind of disappointed

Wouter Horré (wouterh) wrote :

@ezechiel: This bug is due to a change in the kernel. Since this change, each usb mass storage device with behavior differing from the standard has to be specified in unusual_devs.h. Other distributions with the same kernel version normally suffer from the same problem.

tomaszko (kossut) wrote :

That's is one of the reasons new kernel should be on hold (testing). Why Ubuntu is making the same mistakes like other..?

@Horre
This is very sad. This forum is certainly the wrong place to argue against the kernel development. Anyway - I am using Linux since 1996 now, used almost all different flavors, finally got to debian because of the cool update mechanism and ended at ubuntu because everything seemed to work out of the box. This kernel-developer attitude of "we want anything pure and do not care about anything else" starts to make me sick. Where is the practical spirit of Linus? I do not care, if my camera matches the kernel developer's view of usb-standards. I do not even care about the standards itself.

If such a huge amount of devices stops working only for the academical reasons of some "we are better then the rest of the world"-people - is it really necessary to use this kernel in ubuntu?

Is it really necessary to break things for possibly thousands of users?

Wouldn't it be better to first list up devices that do not work and then patch the unusual_devs.h and then publish a distribution using this kernel?

I'm using ubuntu for two and a half years now - my camera worked all this time - even in 7.10!!!
Is it really necessary to do such far reaching changes in a productive environment? - I would not be astonished if things stop working after a major upgrade - our world's changing. But I am not amused that ubuntu starts to mirror Microsoft not only regarding the ease of use but also the fact that changes, the use can not judge, are urged within one distribution on the end-user, letting him struggle for the best.

This is definitely not what Ubuntu is promising - especially because it is no singular case! How shall Ubuntu gain percentage on the desktop, if the end-users always have to be afraid, what does not work any more after the next update?

And by the way - this is also no project-management! First implement then test, test, test and only if you are 99% sure break in the productive systems of other people.

And to be not only negative: Is there a way I could help improving the situation in general?

Don't get me wrong, I'm not a purist at all. I would also be happier
if this 'bug' (the kernel developers probably don't think it is a bug)
wasn't introduced in the kernel.

Why is this kernel in ubuntu? No idea, only the ubuntu kernel team can
answer that question for sure. An educated guess: probably every new
kernel release fixes more hardware problems than it creates. So a
newer kernel probably works on more computers... (this is just a
guess).

@ezechiel: As far as I can see, the coolpix 2000 is already in
unusual_devs.h since 30 Nov 2005 09:16:00.
See http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6.25.y.git;a=commitdiff;h=17fa6e552f2fc6bb06af767b0abf9cb642e13404

Did you recently update your firmware? If not, then your problem is
probably not related to this bug...

thanks for the link - anyway, it refers to 2.6.25. I'm still running 7.10, because I do not want to risk smashing my system, as it is my only one and I have to work with it. And 7.10 still runs with 2.6.22-14 - at least I can find nothing else in my synaptic. To uname-r it: 2.6.22-14-generic. The kernel came some time in february, and since then there was no need to get my photos.

kernel-bug: that reminds me of "defective by design" :)

So propably I have to take the risk and date up my distribution to hardy.

Thanks anyway

Ezechiel: According to
http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6.22.y.git;a=blob;f=drivers/usb/storage/unusual_devs.h;h=54979c239c6329d7382176e7996a5384c371b160;hb=HEAD
the support for the Coolpix 2000 is also in the 2.6.22 kernel. If you
didn't update the firmware of you camera recently, then the problem is
probably something else...

hmmm....
then this should not be the problem. That's irritating
My dmesg says:
[17896.252000] usb 3-1: new full speed USB device using uhci_hcd and address 2
[17897.768000] usb 3-1: configuration #1 chosen from 1 choice
[17897.772000] scsi3 : SCSI emulation for USB Mass Storage devices
[17897.772000] usb-storage: device found at 2
[17897.772000] usb-storage: waiting for device to settle before scanning
[17902.772000] usb-storage: device scan complete
[17902.776000] scsi 3:0:0:0: Direct-Access NIKON DSC E2000 1.00 PQ: 0 ANSI: 2
[17902.784000] sd 3:0:0:0: [sdc] 4001761 512-byte hardware sectors (2049 MB)
[17902.788000] sd 3:0:0:0: [sdc] Write Protect is off
[17902.788000] sd 3:0:0:0: [sdc] Mode Sense: 04 00 00 00
[17902.788000] sd 3:0:0:0: [sdc] Assuming drive cache: write through
[17902.796000] sd 3:0:0:0: [sdc] 4001761 512-byte hardware sectors (2049 MB)
[17902.800000] sd 3:0:0:0: [sdc] Write Protect is off
[17902.800000] sd 3:0:0:0: [sdc] Mode Sense: 04 00 00 00
[17902.800000] sd 3:0:0:0: [sdc] Assuming drive cache: write through
[17902.800000] sdc: sdc1
[17902.812000] sd 3:0:0:0: [sdc] Attached SCSI removable disk
[17902.812000] sd 3:0:0:0: Attached scsi generic sg3 type 0
[17903.176000] usb 3-1: reset full speed USB device using uhci_hcd and address 2
[17903.452000] usb 3-1: reset full speed USB device using uhci_hcd and address 2
[17903.728000] usb 3-1: reset full speed USB device using uhci_hcd and address 2
[17904.004000] usb 3-1: reset full speed USB device using uhci_hcd and address 2
[17904.276000] usb 3-1: reset full speed USB device using uhci_hcd and address 2

I got the IO-Errros not until I switch the cam off again:

[17924.016000] sd 3:0:0:0: [sdc] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK,SUGGEST_OK
[17924.016000] end_request: I/O error, dev sdc, sector 4001760
[17924.016000] Buffer I/O error on device sdc, logical block 4001760
[17924.020000] sd 3:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK,SUGGEST_OK
[17924.020000] end_request: I/O error, dev sdc, sector 4001760
[17924.020000] Buffer I/O error on device sdc, logical block 4001760
[17924.020000] Buffer I/O error on device sdc, logical block 4001752

So I mixed those up, with what I read above. So I humbly apologize for flaming the completely wrong thread, though nevertheless I still blame Ubuntu updates, because the camera works smoothly on my wife's 6.something Ubuntu and it worked smoothly on my 7.10 a few weeks ago, and any other mass storage still works like before on any usb-port.

So I'll go on searching and thank you for your time

Idokus (maarten-albers) wrote :

It's a bit off topic perhaps, but I've got a work around on getting the images off the Nikon D40, and possibly the other camera's aswell

set the camera in [settings] => [USB] to MTP/PTP,

then ubuntu will prompt for extraction of images in hardy heron.
(I don't know which firmware, I bought the camera quite recently)

Ivan Panchenko (wao-mail) wrote :

Unfortunately this bug is not fixed yet in the distribution, though it looks like a simple one.

The recognizion of the camera as a USB device depends on the firmware revision, which may be different.
For my case (Nikon D80, the firmware revision 1.10, I guess) the following patch worked:

http://<email address hidden>/msg01947.html

regarding the post of panchenko the bug obviously still resists in the distributions. would it be possible to integrate the path for the next distribution?

Changed in linux:
status: Fix Released → Incomplete
Wouter Horré (wouterh) wrote :

As far as I know, the problem is fixed for:
* D40 with firmware version 1.10
* D40x with originial firmware version

The problem is not fixed for:
* D40 with firmware version 1.11

The problem is that every firmware with a non-standard USB Mass Storage implementation needs support in unusual_devs.h, which means almost every firmware nikon releases will have to be added to unusual_devs.h. Conclusion: this bug will have to be reopened every time nikon releases a new firmware.

I suggest the following:
* close this bug report with fix released (it really is for the problem originally reported)
* open a new bug for each firmware that is not working (e.g. "Nikon D40 with firmware 1.11 needs support in unusual_devs.h")

That would clarify what works (as these bugs will get closed) and what doesn't (the bugs that are still open).

just a suggestion...

Horre, thx - this seems to be a reasonable suggestion. So I close this thread again (because I reopened it this afternoon) and will create a new specialized description

Changed in linux:
status: Incomplete → Fix Released
Brian Murray (brian-murray) wrote :

As Intrepid is currently under development and being synced with upstream regularly it would also be useful to forward this to bugzilla.kernel.org and have it resolved upstream.

Ivan Panchenko (wao-mail) wrote :

Ok, imagine that each firmware version for each camera will be reported a new bug, is that wise?

As the problem is identified, wouldn't it be better to solve it in general, to make the kernel more robust?

A new firmware version, which is not directly specified how to handle, should be handled in the same way as the previous firmware version.

Wouter Horré (wouterh) wrote :

@Ivan Panchenko
> A new firmware version, which is not directly specified how to handle, should be handled in the same way as the previous firmware version.

That's not true in the general case, since the firmware might be an update to fix the incorrect behavior of the previous version with regard to UMS.

tomaszko (kossut) wrote :

I'm bored with that.

I still do not understand, I had no problems with mounting nikon cameras since kernel 2.4.x it was sth. about 5 - years ago? - and now running modern distribution (ubuntu) and latest stable kernel i can not mount my nikon. Total crap.

Regards,

Tom - Debian Etch user since November 2007

Download full text (6.0 KiB)

After not having any problems for quite some time the problem reappeared.

Ubuntu 8.04, Kernel 2.6.24-19-generic
Nikon D40 Firmware 1.11

There was a firmware upgrade recently, but it definitely worked for a while.

This is the dmesg output:

[32518.038002] usb 4-3: new high speed USB device using ehci_hcd and address 9
[32518.172783] usb 4-3: configuration #1 chosen from 1 choice
[32518.278078] scsi5 : SCSI emulation for USB Mass Storage devices
[32518.289552] usb-storage: device found at 9
[32518.289563] usb-storage: waiting for device to settle before scanning
[32528.279782] usb-storage: device scan complete
[32528.281077] scsi 5:0:0:0: Direct-Access NIKON D40 1.11 PQ: 0 ANSI: 2
[32528.296886] sd 5:0:0:0: [sdb] 3970049 512-byte hardware sectors (2033 MB)
[32528.297647] sd 5:0:0:0: [sdb] Write Protect is off
[32528.297657] sd 5:0:0:0: [sdb] Mode Sense: 0f 00 00 00
[32528.297665] sd 5:0:0:0: [sdb] Assuming drive cache: write through
[32528.301893] sd 5:0:0:0: [sdb] 3970049 512-byte hardware sectors (2033 MB)
[32528.302642] sd 5:0:0:0: [sdb] Write Protect is off
[32528.302652] sd 5:0:0:0: [sdb] Mode Sense: 0f 00 00 00
[32528.302659] sd 5:0:0:0: [sdb] Assuming drive cache: write through
[32528.302668] sdb: sdb1
[32528.305639] sd 5:0:0:0: [sdb] Attached SCSI removable disk
[32528.305738] sd 5:0:0:0: Attached scsi generic sg2 type 0
[10836.641856] end_request: I/O error, dev sdb, sector 3970048
[10836.641862] printk: 237 messages suppressed.
[10836.641865] Buffer I/O error on device sdb, logical block 3970048
[10836.643478] end_request: I/O error, dev sdb, sector 3970048
[10836.643481] Buffer I/O error on device sdb, logical block 3970048
[10836.648623] end_request: I/O error, dev sdb, sector 3970048
[10836.648627] Buffer I/O error on device sdb, logical block 3970048
[10836.649974] end_request: I/O error, dev sdb, sector 3970048
[10836.649978] Buffer I/O error on device sdb, logical block 3970048
[10836.651735] end_request: I/O error, dev sdb, sector 3970048
[10836.651739] Buffer I/O error on device sdb, logical block 3970048
[10836.664092] end_request: I/O error, dev sdb, sector 3970048
[10836.664099] Buffer I/O error on device sdb, logical block 3970048
[10836.665591] end_request: I/O error, dev sdb, sector 3970048
[10836.665596] Buffer I/O error on device sdb, logical block 3970048
[10836.667117] end_request: I/O error, dev sdb, sector 96
[10836.667122] Buffer I/O error on device sdb, logical block 96
[10836.668463] end_request: I/O error, dev sdb, sector 97
[10836.668467] Buffer I/O error on device sdb, logical block 97
[10836.668470] Buffer I/O error on device sdb, logical block 98
[10836.669961] end_request: I/O error, dev sdb, sector 96
[10836.671224] end_request: I/O error, dev sdb, sector 97
[10836.743792] end_request: I/O error, dev sdb, sector 0
[10836.745787] end_request: I/O error, dev sdb, sector 0
[10836.746912] end_request: I/O error, dev sdb, sector 1
[10836.748660] end_request: I/O error, dev sdb, sector 0
[10836.749784] end_request: I/O error, dev sdb, sector 1
[10836.755290] end_request: I/O error, dev sdb, sector 249
[10836.756657] end_request: I/O error, dev sdb, sector 249
[10836.757916] end_request: ...

Read more...

rimo (moog-richard) wrote :

Hi,

I also have a Nikon D40 since today and having the same problem as you have.
What can i do to make my camera work on Ubuntu?
Or do i really need to switch teh OS to have my camera work on my laptop.
I hope this problem will be fixed soon.

Regards,
Richard

Ursula Junque (ursinha) wrote :

Not related to rosetta

Changed in rosetta:
status: New → Invalid

I managed to circumvent the problem by setting the USB mode to M/P (Camera Control Pro, MTP/PTP) and importing the images via f-spot. The filenames were lowercase though, but at least I got the files.
Adding ircpool to boot parameters as mentioned in http://ubuntuforums.org/showthread.php?t=558929#postcount3428939 didn't help in my case.

Guilherme Salgado (salgado) wrote :

Just reported bug 253437 for getting mass storage on D40s running firmware 1.11. Also, a fix seems to have been proposed upstream already: http://lkml.org/lkml/2008/7/14/262

Huygens (huygens-25) wrote :

I do not get it! Is the fix released or not? :-/
Launchpad is really not clear about bug status. Like in this case I know I still have the problem. I have all the latest updates. But in this bug report I can see: "fix released" and "won't fix". What does that mean? If it is fixed, in which release was it fixed? Because if it is the current kernel release, I can reopen the bug as it is still there...
If it is not going to be fixed, perhaps a reason would have been nice to have... ;-)
For the time being, I do as David Rekowski, but it is weird that all the filenames are lowercase, though this is not important.
:-)

Wouter Horré (wouterh) wrote :

@Huygens: the problem with this bug is that 'nikon camera's' is too general. It is fixed for some camera/firmware combinations while others still aren't working. If you are still experiencing the problem, the best you can do is file a new bug for your exact camera model and firmware version (e.g. Nikon D40 with firmware 1.11 needs support in unusual_devs.h).

Huygens (huygens-25) wrote :

Thanks a lot Wouter Horré!
I wanted to open a new bug, but of course it was already done by someone else ;-)
So to avoid other to look for it, if you have a Nikon D80 with firmware 1.10 you might be interested with bug # 245118

Damien (takahara) wrote :

I still have a similar bug with my D2H camera, on Intrepid and the latest kernel (2.6.27).
See: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/301281

PAVUK (pavuk) wrote :

Hello.

Nikon released new version (2.01) of firmware for D200 camera. Kernel does not recognize Nikon D200 camera properly after firmware upgrade.

Here is the fix (2.6.27 kernel with ubuntu patches applied):

--- drivers/usb/storage/unusual_devs.h.orig 2009-05-30 23:28:58.000000000 +0200
+++ drivers/usb/storage/unusual_devs.h 2009-05-30 23:29:18.000000000 +0200
@@ -439,7 +439,7 @@
   US_FL_FIX_CAPACITY),

 /* Reported by Graber and Mike Pagano <email address hidden> */
-UNUSUAL_DEV( 0x04b0, 0x040f, 0x0100, 0x0200,
+UNUSUAL_DEV( 0x04b0, 0x040f, 0x0100, 0x0201,
   "NIKON",
   "NIKON DSC D200",
   US_SC_DEVICE, US_PR_DEVICE, NULL,

@pavuk, and anyone else still experiencing issues, it would be best if you opened a new bug report as this bug has since been closed and is not likely getting any attention from developers. A patch to fix the original bug reporters issue was uploaded a while back. See https://bugs.edge.launchpad.net/ubuntu/+bug/134477/comments/15 . If you require a fix which needs a different patch you should open a separate bug. Thanks.

summary: - Nikon cameras need support in unusual_devs.h
+ With Gutsy - Nikon cameras need support in unusual_devs.h
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.